Re: AllStarLink/ASL-Install


Steve KC1AWV
 

Oh boy, yeah I think the version that's on there was at least 4.14, I think I may have seen 4.17 in there too.

Manuel,

The root cause of asl-menu option 5 not working is that the asterisk service on your Pi is not running.
Diagnosing the cause of asterisk not running showed there was a timeout waiting for "dev-dahdi-pseudo"
The reason for the timeout is that there is supposed to be a dahdi kernel module that loads at boot time, which is not loading.
The module requires an older version of the kernel on the Pi (4.9) because newer kernels do not have sound support, which dahdi needs in order to compile correctly.
The kernel version that I remember seeing installed was at least 4.14.

I agree with Mike KB8JNM, your best bet would be to start over with a new install of Raspbian Stretch, with kernel 4.9. Make sure to follow the directions included with the ASL image, which will prevent Raspbian from upgrading your kernel to an incompatible version.

sudo apt-mark hold raspberrypi-kernel-headers raspberrypi-kernel
sudo apt-get update
sudo apt-get upgrade -y 
sudo reboot

I would start your OS buildout with Allstar first and make sure that works, then add in the other software you want after.

- Steve KC1AWV

Join main@DVSwitch.groups.io to automatically receive all group messages.